Bug 1410074 (CVE-2016-10109) - CVE-2016-10109 pcsc-lite: Use-after-free of cardsList due to SCardReleaseContext invocations
Summary: CVE-2016-10109 pcsc-lite: Use-after-free of cardsList due to SCardReleaseCont...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10109
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410075
Blocks: 1410078
TreeView+ depends on / blocked
 
Reported: 2017-01-04 12:02 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
5 users (show)

Fixed In Version: pcsc-lite 1.8.20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:06 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-04 12:02:47 UTC
A vulnerability was found in PCSC-Lite.  The SCardReleaseContext function normally releases resources associated with the given handle (including "cardsList") and clients should cease using this handle. A malicious client can however make the daemon invoke SCardReleaseContext and continue issuing other commands that use "cardsList", resulting in a use-after-free.  When SCardReleaseContext is invoked multiple times, it additionally results in a double-free of "cardsList".

References:

http://seclists.org/oss-sec/2017/q1/18
http://lists.alioth.debian.org/pipermail/pcsclite-muscle/Week-of-Mon-20161226/000779.html

Upstream patch:

https://anonscm.debian.org/cgit/pcsclite/PCSC.git/commit/?id=697fe05967af7ea215bcd5d5774be587780c9e22

Comment 1 Andrej Nemec 2017-01-04 12:06:44 UTC
Created pcsc-lite tracking bugs for this issue:

Affects: fedora-all [bug 1410075]


Note You need to log in before you can comment on or make changes to this bug.